<xml> </xml>

db4o |

# ObjectField Methods

The methods of the ObjectField interface are listed below. For a complete list of ObjectField interface members, see the ObjectField Members topic.

#### Public Instance Methods

CascadeOnActivate | sets cascaded activation behaviour.
CascadeOnDelete | sets cascaded delete behaviour.
CascadeOnUpdate | sets cascaded update behaviour.
Indexed | turns indexing on or off.
QueryEvaluation | toggles query evaluation.
Rename | renames a field of a stored class.

#### See Also

ObjectField Interface | com.db4o.config Namespace